Get all floor plans
https://api.propexo.com/v1/floor-plans/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external ID from the integration vendor
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the floor plan
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| Pricing and Availability ODE | GetFloorPlanList |
| Pricing and Availability ODE | List |
cgd44dmgef58ayq3gb5qrrhqkThe external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Pricing and Availability ODE | GetFloorPlanList |
| Pricing and Availability ODE | List |
1000001The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for REALPAGE
nullThe name associated with the floor plan
| Interface | Method |
|---|---|
| Pricing and Availability ODE | GetFloorPlanList |
| Pricing and Availability ODE | List |
One BedroomThe marketing name of the floor plan
This field will always be null for REALPAGE
nullThe code associated with the floor plan
| Interface | Method |
|---|---|
| Pricing and Availability ODE | GetFloorPlanList |
| Pricing and Availability ODE | List |
A1Description of the floor plan
| Interface | Method |
|---|---|
| Pricing and Availability ODE | GetFloorPlanList |
| Pricing and Availability ODE | List |
One bedroom, one bathThe number of bedrooms associated with the floor plan
| Interface | Method |
|---|---|
| Pricing and Availability ODE | GetFloorPlanList |
| Pricing and Availability ODE | List |
Possible values: >= 0
1The number of bathrooms associated with the floor plan
This field will always be null for REALPAGE
nullThe number of full bathrooms associated with the floor plan
| Interface | Method |
|---|---|
| Pricing and Availability ODE | GetFloorPlanList |
| Pricing and Availability ODE | List |
Possible values: >= 0
1The number of half bathrooms associated with the floor plan
| Interface | Method |
|---|---|
| Pricing and Availability ODE | GetFloorPlanList |
| Pricing and Availability ODE | List |
Possible values: >= 0
The maximum number of occupants for the floor plan
| Interface | Method |
|---|---|
| Pricing and Availability ODE | GetFloorPlanList |
| Pricing and Availability ODE | List |
Possible values: >= 0
2The rentable square footage of the floor plan
| Interface | Method |
|---|---|
| Pricing and Availability ODE | GetFloorPlanList |
| Pricing and Availability ODE | List |
Possible values: >= 0
850The gross square footage of the floor plan
| Interface | Method |
|---|---|
| Pricing and Availability ODE | GetFloorPlanList |
| Pricing and Availability ODE | List |
Possible values: >= 0
920The minimum rent of the floor plan
| Interface | Method |
|---|---|
| Pricing and Availability ODE | GetFloorPlanList |
| Pricing and Availability ODE | List |
150000The maximum rent of the floor plan
| Interface | Method |
|---|---|
| Pricing and Availability ODE | GetFloorPlanList |
| Pricing and Availability ODE | List |
185000A list of image urls associated with the floor plan
This field will always be null for REALPAGE
nullThe number of units associated with the floor plan
This field will always be null for REALPAGE
nullThe deposit amount in cents associated with the floor plan
This field will always be null for REALPAGE
nullThe raw deposit amount associated with the floor plan
This field will always be null for REALPAGE
nullThe minimum deposit amount in cents associated with the floor plan
This field will always be null for REALPAGE
nullThe maximum deposit amount in cents associated with the floor plan
This field will always be null for REALPAGE
nullThe raw minimum deposit amount associated with the floor plan
This field will always be null for REALPAGE
nullThe raw maximum deposit amount associated with the floor plan
This field will always be null for REALPAGE
nullcustom_data object | nullrequired
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
REALPAGEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTREALPAGEThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/floor-plans/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cgd44dmgef58ayq3gb5qrrhqk",
"x_property_id": "1000001",
"x_location_id": null,
"name": "One Bedroom",
"marketing_name": null,
"code": "A1",
"description": "One bedroom, one bath",
"bedrooms": 1,
"bathrooms": null,
"bathrooms_full": 1,
"bathrooms_half": 0,
"max_occupants": 2,
"rentable_square_feet": 850,
"gross_square_feet": 920,
"rent_minimum_in_cents": 150000,
"rent_maximum_in_cents": 185000,
"image_urls": null,
"unit_count": null,
"deposit_amount_in_cents": null,
"deposit_amount_raw": null,
"deposit_amount_min_in_cents": null,
"deposit_amount_max_in_cents": null,
"deposit_amount_min_raw": null,
"deposit_amount_max_raw": null,
"custom_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "REALPAGE",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}